// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.conf);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

// get the current conference
currc = new CurrentConference(rinput);
conf = currc.getConference(true,"conf/conferences.js.vs?cc=" + comm.communityID);
on_error = "conf/conf_reports.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID;

// get the current topic (where applicable)
topic = currc.getTopic(false,on_error);

rc = null;
try
{ // construct the activity list
  my_list = null;
  my_title = null;
  title1 = null;
  title2 = null;
  nullmsg = null;
  if (topic!=null)
  { // get the poster list from the topic
    my_list = topic.getActivePosters();
    if (my_list.isEmpty())
      nullmsg = "No posters to topic \"" + topic.name + "\" found.";
    my_title = "Users Posting in Topic " + topic.name;
    title1 = "Posters in Topic:";
    title2 = topic.name;

  } // end if
  else
  { // get the poster list from the conference
    my_list = conf.getActivePosters();
    if (my_list.isEmpty())
      nullmsg = "No posters to conference \"" + vlib.encodeHTML(conf.name) + "\" found.";
    my_title = "Users Posting in Conference " + conf.name;
    title1 = "Posters in Conference:";
    title2 = conf.name;

  } // end else

  // save off the attributes
  rinput.setRequestAttribute("conference.activity.list",my_list);
  rinput.setRequestAttribute("conference.activity.nullmessage",nullmsg);
  rinput.setRequestAttribute("conference.activity.posters","true");
  rinput.setRequestAttribute("conference.activity.title",title1);
  rinput.setRequestAttribute("conference.activity.subtitle",title2);

  // create the view
  rc = new JSPView(my_title,"conf/activity_report.jsp");
  rc.menuSelector = Content.MENU_SELECTOR_COMMUNITY;

} // end try
catch (e)
{ // error getting the list of posters
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Database error getting poster list: " + e.message,on_error);
  else if (etype.match("AccessError"))
    rc = new ErrorBox("Access Error",e.message,on_error);
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done...
